Eclipse Platform Release 3.7

## org.eclipse.ui.part
Interface IShowInSource

All Known Implementing Classes:
  PropertySheet

    public interface IShowInSource

Parts which need to provide a particular context to a 'Show In' target can provide this interface.

The part can either directly implement this interface, or provide it via `IAdaptable.getAdapter(IShowInSource.class)`.

Since:
  2.1
See Also:
  `IShowInTarget`

Method Summary
`ShowInContext` `getShowInContext()` Returns the context to show, or `null` if there is currently no valid context to show.

Method Detail

### getShowInContext

    ShowInContext getShowInContext()

  Returns the context to show, or `null` if there is currently no valid context to show.

  Returns:
    the context to show, or `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.